package WEB-INF.classes.wenrgise.hrms.webtier.form;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAttShiftMasterForm extends HrmBaseForm {
  String shiftCode;
  
  String shiftDescription;
  
  String startTime;
  
  String endTime;
  
  String relaxationTime;
  
  String startTolerenceTime;
  
  String endTolerenceTime;
  
  String overlapTime;
  
  String disabshiftCode;
  
  String disabshiftDescription;
  
  String disabstartTime;
  
  String disabendTime;
  
  String disabrelaxationTime;
  
  String disabstartTolerenceTime;
  
  String disabendTolerenceTime;
  
  String disaboverlapTime;
  
  private String txtDayOverlapFlag;
  
  private String butShiftCode;
  
  private String disabbutShiftCode;
  
  String disabstartTolTime;
  
  String disabendTolTime;
  
  String disaboverlapDayFlag;
  
  String disabtxtDayOverlapFlag;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getShiftCode() {
    return this.shiftCode;
  }
  
  public void setShiftCode(String newShiftCode) {
    this.shiftCode = newShiftCode;
  }
  
  public String getShiftDescription() {
    return this.shiftDescription;
  }
  
  public void setShiftDescription(String newShiftDescription) {
    this.shiftDescription = newShiftDescription;
  }
  
  public String getStartTime() {
    return this.startTime;
  }
  
  public void setStartTime(String newStartTime) {
    this.startTime = newStartTime;
  }
  
  public String getEndTime() {
    return this.endTime;
  }
  
  public void setEndTime(String newEndTime) {
    this.endTime = newEndTime;
  }
  
  public String getRelaxationTime() {
    return this.relaxationTime;
  }
  
  public void setRelaxationTime(String newRelaxationTime) {
    this.relaxationTime = newRelaxationTime;
  }
  
  public String getStartTolerenceTime() {
    return this.startTolerenceTime;
  }
  
  public void setStartTolerenceTime(String newStartTolerenceTime) {
    this.startTolerenceTime = newStartTolerenceTime;
  }
  
  public String getEndTolerenceTime() {
    return this.endTolerenceTime;
  }
  
  public void setEndTolerenceTime(String newEndTolerenceTime) {
    this.endTolerenceTime = newEndTolerenceTime;
  }
  
  public String getOverlapTime() {
    return this.overlapTime;
  }
  
  public void setOverlapTime(String newOverlapTime) {
    this.overlapTime = newOverlapTime;
  }
  
  public String getDisabshiftCode() {
    return this.disabshiftCode;
  }
  
  public void setDisabshiftCode(String newDisabshiftCode) {
    this.disabshiftCode = newDisabshiftCode;
  }
  
  public String getDisabshiftDescription() {
    return this.disabshiftDescription;
  }
  
  public void setDisabshiftDescription(String newDisabshiftDescription) {
    this.disabshiftDescription = newDisabshiftDescription;
  }
  
  public String getDisabstartTime() {
    return this.disabstartTime;
  }
  
  public void setDisabstartTime(String newDisabstartTime) {
    this.disabstartTime = newDisabstartTime;
  }
  
  public String getDisabendTime() {
    return this.disabendTime;
  }
  
  public void setDisabendTime(String newDisabendTime) {
    this.disabendTime = newDisabendTime;
  }
  
  public String getDisabrelaxationTime() {
    return this.disabrelaxationTime;
  }
  
  public void setDisabrelaxationTime(String newDisabrelaxationTime) {
    this.disabrelaxationTime = newDisabrelaxationTime;
  }
  
  public String getDisabstartTolerenceTime() {
    return this.disabstartTolerenceTime;
  }
  
  public void setDisabstartTolerenceTime(String newDisabstartTolerenceTime) {
    this.disabstartTolerenceTime = newDisabstartTolerenceTime;
  }
  
  public String getDisabendTolerenceTime() {
    return this.disabendTolerenceTime;
  }
  
  public void setDisabendTolerenceTime(String newDisabendTolerenceTime) {
    this.disabendTolerenceTime = newDisabendTolerenceTime;
  }
  
  public String getDisaboverlapTime() {
    return this.disaboverlapTime;
  }
  
  public void setDisaboverlapTime(String newDisaboverlapTime) {
    this.disaboverlapTime = newDisaboverlapTime;
  }
  
  public String getTxtDayOverlapFlag() {
    return this.txtDayOverlapFlag;
  }
  
  public void setTxtDayOverlapFlag(String newTxtDayOverlapFlag) {
    this.txtDayOverlapFlag = newTxtDayOverlapFlag;
  }
  
  public String getButShiftCode() {
    return this.butShiftCode;
  }
  
  public void setButShiftCode(String newButShiftCode) {
    this.butShiftCode = newButShiftCode;
  }
  
  public String getDisabbutShiftCode() {
    return this.disabbutShiftCode;
  }
  
  public void setDisabbutShiftCode(String newDisabbutShiftCode) {
    this.disabbutShiftCode = newDisabbutShiftCode;
  }
  
  public String getDisabstartTolTime() {
    return this.disabstartTolTime;
  }
  
  public void setDisabstartTolTime(String newDisabstartTolTime) {
    this.disabstartTolTime = newDisabstartTolTime;
  }
  
  public String getDisabendTolTime() {
    return this.disabendTolTime;
  }
  
  public void setDisabendTolTime(String newDisabendTolTime) {
    this.disabendTolTime = newDisabendTolTime;
  }
  
  public String getDisaboverlapDayFlag() {
    return this.disaboverlapDayFlag;
  }
  
  public void setDisaboverlapDayFlag(String newDisaboverlapDayFlag) {
    this.disaboverlapDayFlag = newDisaboverlapDayFlag;
  }
  
  public String getDisabtxtDayOverlapFlag() {
    return this.disabtxtDayOverlapFlag;
  }
  
  public void setDisabtxtDayOverlapFlag(String newDisabtxtDayOverlapFlag) {
    this.disabtxtDayOverlapFlag = newDisabtxtDayOverlapFlag;
  }
}
